# newgrf_industrytiles.h File Reference

NewGRF handling of industry tiles. More...

Go to the source code of this file.

## Enumerations
enum | IndustryAnimationTrigger { IAT_CONSTRUCTION_STATE_CHANGE, IAT_TILELOOP, IAT_INDUSTRY_TICK, IAT_INDUSTRY_RECEIVED_CARGO, IAT_INDUSTRY_DISTRIBUTES_CARGO }
enum | IndustryTileTrigger { INDTILE_TRIGGER_TILE_LOOP = 0x01, INDUSTRY_TRIGGER_INDUSTRY_TICK = 0x02, INDUSTRY_TRIGGER_RECEIVED_CARGO = 0x04 }
## Functions
bool | DrawNewIndustryTile (TileInfo *ti, Industry *i, IndustryGfx gfx, const IndustryTileSpec *inds)
uint16 | GetIndustryTileCallback (CallbackID callback, uint32 param1, uint32 param2, IndustryGfx gfx_id, Industry *industry, TileIndex tile)
bool | PerformIndustryTileSlopeCheck (TileIndex ind_base_tile, TileIndex ind_tile, const IndustryTileSpec *its, IndustryType type, IndustryGfx gfx, uint itspec_index)
void | AnimateNewIndustryTile (TileIndex tile)
bool | StartStopIndustryTileAnimation (TileIndex tile, IndustryAnimationTrigger iat, uint32 random=Random())
bool | StartStopIndustryTileAnimation (const Industry *ind, IndustryAnimationTrigger iat)
void | TriggerIndustryTile (TileIndex t, IndustryTileTrigger trigger)
void | TriggerIndustry (Industry *ind, IndustryTileTrigger trigger)

## Detailed Description

NewGRF handling of industry tiles.

Definition in file newgrf_industrytiles.h.